document: modulemd
version: 2
data:
    name: slurm
    stream: latest
    version: 20250307103800
    context: 9
    arch: x86_64
    summary: Slurm, A Highly Scalable Workload Manager
    description: >-
        This is the Slurm Workload Manager. Slurm is an open-source cluster
        resource management and job scheduling system that strives to be
        simple, scalable, portable, fault-tolerant, and interconnect agnostic.
    license:
        module:
            - GPLv2
    artifacts:
        rpms:
            - slurm-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-contribs-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-devel-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-example-configs-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-libpmi-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-openlava-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-pam_slurm-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-perlapi-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-sackd-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-slurmctld-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-slurmd-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-slurmdbd-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-slurmrestd-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-torque-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-spank-nvidia-0:0.2-2.module.24.11.sdl9.5.x86_64
            - slurm-spank-nvidia-0:0.2-2.module.24.11.sdl9.5.x86_64
            - slurm-spank-nvidia-debuginfo-0:0.2-2.module.24.11.sdl9.5.x86_64
            - slurm-spank-nvidia-debugsource-0:0.2-2.module.24.11.sdl9.5.x86_64
            - slurm-spank-tigress-0:0.2-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-tigress-0:0.2-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-tigress-debuginfo-0:0.2-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-tigress-debugsource-0:0.2-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-rh-0:0.1-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-rh-0:0.1-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-rh-debuginfo-0:0.1-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-rh-debugsource-0:0.1-1.module.24.11.sdl9.2.x86_64
    profiles:
        default:
            description: Default Installation
            rpms:
                - slurm
        compute:
            description: Default Installation for a compute node
            rpms:
                - slurm
                - slurm-example-configs
                - slurm-sackd
                - slurm-slurmd
...
---
document: modulemd
version: 2
data:
    name: slurm
    stream: 24.11
    version: 20250307103800
    context: 9
    arch: x86_64
    summary: Slurm, A Highly Scalable Workload Manager
    description: >-
        This is the Slurm Workload Manager. Slurm is an open-source cluster
        resource management and job scheduling system that strives to be
        simple, scalable, portable, fault-tolerant, and interconnect agnostic.
    license:
        module:
            - GPLv2
    artifacts:
        rpms:
            - slurm-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-contribs-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-devel-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-example-configs-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-libpmi-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-openlava-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-pam_slurm-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-perlapi-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-sackd-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-slurmctld-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-slurmd-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-slurmdbd-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-slurmrestd-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-torque-0:24.11.3-1.sdl9.module.4.x86_64
            - slurm-spank-nvidia-0:0.2-2.module.24.11.sdl9.5.x86_64
            - slurm-spank-nvidia-0:0.2-2.module.24.11.sdl9.5.x86_64
            - slurm-spank-nvidia-debuginfo-0:0.2-2.module.24.11.sdl9.5.x86_64
            - slurm-spank-nvidia-debugsource-0:0.2-2.module.24.11.sdl9.5.x86_64
            - slurm-spank-tigress-0:0.2-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-tigress-0:0.2-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-tigress-debuginfo-0:0.2-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-tigress-debugsource-0:0.2-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-rh-0:0.1-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-rh-0:0.1-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-rh-debuginfo-0:0.1-1.module.24.11.sdl9.2.x86_64
            - slurm-spank-rh-debugsource-0:0.1-1.module.24.11.sdl9.2.x86_64
    profiles:
        default:
            description: Default Installation
            rpms:
                - slurm
        compute:
            description: Default Installation for a compute node
            rpms:
                - slurm
                - slurm-example-configs
                - slurm-sackd
                - slurm-slurmd
...
---
